%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:		os-apply-config
Version:	5.1.1
Release:	2%{?dist}
Summary:	Configure files from cloud metadata

License:	ASL 2.0
URL:		http://pypi.python.org/pypi/%{name}
Source0:	http://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=5.1.1
#
Patch0001: 0001-Remove-RH1-OVB-jobs-from-configuration.patch
Patch0002: 0002-Zuul-Remove-project-name.patch

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools
BuildRequires:	python-pbr

Requires:	python-pbr
Requires:	python-setuptools
Requires:	python-anyjson
Requires:	pystache
Requires:	python-six >= 1.9.0

%description
Tool to apply openstack heat metadata to files on the system.

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/templates

%files
%doc README.rst
%doc LICENSE
%{_bindir}/os-apply-config
%{_bindir}/os-config-applier
%{python2_sitelib}/os_apply_config*
%{_libexecdir}/%{name}/templates

%changelog
* Fri Mar 16 2018 Steve Linabery <slinaber@redhat.com> 5.1.1-2
- Zuul: Remove project name
- Remove RH1 OVB jobs from configuration

* Mon Jan 15 2018 Steve Linabery <slinaber@redhat.com> 5.1.1-1
- Update to 5.1.1

* Thu Oct 06 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-1
- Update to 5.0.0

* Wed Sep 14 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-0.1
- Update to 5.0.0.0b2

